jvx.geom

## Class PnEvolve

- java.lang.Object
- - jvx.geom.PnEvolve

-     public class PnEvolve
      extends java.lang.Object

  Evolve geometries in direction of a given vector field. The vector field may be the vertex or element/edge normal, or it may be a user defined vector field.
  Author:
    Konrad Polthier
  Version:
    10.12.06, 2.00 revised (kp) Renamed to PnEvolve from PwEvolve.
    22.09.00, 1.00 created (kp)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `OFFSET_GAUSS_CURVATURE` Evolve surface in direction of the vertex normal with length Gauss curvature.
    `static int` | `OFFSET_MEAN_CURVATURE` Evolve surface in direction of the mean curvature normal.
    `static int` | `OFFSET_VERTEX_NORMAL` Evolve surface in direction of vertex normals.
    `static int` | `OFFSET_VERTEX_VECTOR` Evolve surface in direction of a vertex based vector field.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnEvolve()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `evolveParallel(PgPointSet geom, double dist)` Evolve point set in direction of the vertex normals.
    `static boolean` | `evolveVectorField(PgPointSet geom, double dist)` Evolve point set in direction of the selected vector field of a geometry.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OFFSET_VERTEX_NORMAL

          public static final int OFFSET_VERTEX_NORMAL

      Evolve surface in direction of vertex normals.
      See Also:
        Constant Field Values

    - #### OFFSET_VERTEX_VECTOR

          public static final int OFFSET_VERTEX_VECTOR

      Evolve surface in direction of a vertex based vector field.
      See Also:
        Constant Field Values

    - #### OFFSET_MEAN_CURVATURE

          public static final int OFFSET_MEAN_CURVATURE

      Evolve surface in direction of the mean curvature normal.
      See Also:
        Constant Field Values

    - #### OFFSET_GAUSS_CURVATURE

          public static final int OFFSET_GAUSS_CURVATURE

      Evolve surface in direction of the vertex normal with length Gauss curvature.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PnEvolve

          public PnEvolve()

  - ### Method Detail

    - #### evolveParallel

          public static boolean evolveParallel(PgPointSet geom,
                                               double dist)

      Evolve point set in direction of the vertex normals. This method does not save the vertices of the geometry.
      Parameters:
        `geom` - geometry to evolve
        `dist` - dist*vector determines the length of the translation vector

    - #### evolveVectorField

          public static boolean evolveVectorField(PgPointSet geom,
                                                  double dist)

      Evolve point set in direction of the selected vector field of a geometry. This method does not save the vertices of the geometry.
      Parameters:
        `geom` - geometry to evolve
        `dist` - dist*vector determines the length of the translation vector
      Version:
        25.03.03, 1.50 revised (kp) Take selected vf instead of first vf.

"

The software JavaView? is copyright protected. All Rights Reserved.
"